Bug 228809

Summary: [exp-run] devel/automake: update to 1.16.1
Product: Ports & Packages Reporter: Tijl Coosemans <tijl>
Component: Individual Port(s)Assignee: Tijl Coosemans <tijl>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
patch
none
patch2
none
patch3 none

Description Tijl Coosemans freebsd_committer 2018-06-07 16:33:24 UTC
Created attachment 194069 [details]
patch

Update devel/automake to 1.16.1 and remove devel/automake-wrapper.  We haven't had multiple versions of automake for years and it doesn't look like we will in the future.
Comment 1 Antoine Brodin freebsd_committer 2018-06-09 05:39:05 UTC
New failures on 10.4 amd64:

+ {"origin"=>"accessibility/redshift", "phase"=>"build-depends"}
+ {"origin"=>"audio/ifp-line", "phase"=>"build"}
+ {"origin"=>"cad/repsnapper", "phase"=>"build"}
+ {"origin"=>"deskutils/multisync", "phase"=>"build"}
+ {"origin"=>"deskutils/pinot", "phase"=>"build"}
+ {"origin"=>"devel/autotools", "phase"=>"run-depends"}
+ {"origin"=>"devel/git-merge-changelog", "phase"=>"extract-depends"}
+ {"origin"=>"devel/kBuild", "phase"=>"build"}
+ {"origin"=>"devel/liblouis", "phase"=>"build"}
+ {"origin"=>"devel/libsmpp34", "phase"=>"build"}
+ {"origin"=>"devel/tclreadline", "phase"=>"configure"}
+ {"origin"=>"devel/xfce4-dev-tools", "phase"=>"run-depends"}
+ {"origin"=>"emulators/tme", "phase"=>"build"}
+ {"origin"=>"graphics/agg", "phase"=>"build"}
+ {"origin"=>"mail/anubis", "phase"=>"build"}
+ {"origin"=>"math/givaro", "phase"=>"configure"}
+ {"origin"=>"net-mgmt/riemann-c-client", "phase"=>"build"}
+ {"origin"=>"net-p2p/qtum", "phase"=>"build"}
+ {"origin"=>"net/ntop", "phase"=>"build"}
+ {"origin"=>"textproc/ots", "phase"=>"build"}
+ {"origin"=>"textproc/randlm", "phase"=>"build"}
+ {"origin"=>"x11/cinnamon", "phase"=>"build"}

New failure logs on 10.4 amd64:

http://package18.nyi.freebsd.org/data/104amd64-default-PR228809/2018-06-08_13h47m09s/logs/errors/redshift-1.12.log
http://package18.nyi.freebsd.org/data/104amd64-default-PR228809/2018-06-08_13h47m09s/logs/errors/ifp-line-0.3_1.log
http://package18.nyi.freebsd.org/data/104amd64-default-PR228809/2018-06-08_13h47m09s/logs/errors/repsnapper-2.5.a4_2.log
http://package18.nyi.freebsd.org/data/104amd64-default-PR228809/2018-06-08_13h47m09s/logs/errors/multisync-0.82_14.log
http://package18.nyi.freebsd.org/data/104amd64-default-PR228809/2018-06-08_13h47m09s/logs/errors/pinot-1.09_10.log
http://package18.nyi.freebsd.org/data/104amd64-default-PR228809/2018-06-08_13h47m09s/logs/errors/autotools-20130627.log
http://package18.nyi.freebsd.org/data/104amd64-default-PR228809/2018-06-08_13h47m09s/logs/errors/git-merge-changelog-20140202.log
http://package18.nyi.freebsd.org/data/104amd64-default-PR228809/2018-06-08_13h47m09s/logs/errors/kBuild-0.1.9998_11.log
http://package18.nyi.freebsd.org/data/104amd64-default-PR228809/2018-06-08_13h47m09s/logs/errors/liblouis-3.6.0.log
http://package18.nyi.freebsd.org/data/104amd64-default-PR228809/2018-06-08_13h47m09s/logs/errors/libsmpp34-1.10.log
http://package18.nyi.freebsd.org/data/104amd64-default-PR228809/2018-06-08_13h47m09s/logs/errors/tclreadline-2.3.1.log
http://package18.nyi.freebsd.org/data/104amd64-default-PR228809/2018-06-08_13h47m09s/logs/errors/xfce4-dev-tools-4.12.0_1.log
http://package18.nyi.freebsd.org/data/104amd64-default-PR228809/2018-06-08_13h47m09s/logs/errors/tme-0.8_6.log
http://package18.nyi.freebsd.org/data/104amd64-default-PR228809/2018-06-08_13h47m09s/logs/errors/agg-2.5_11.log
http://package18.nyi.freebsd.org/data/104amd64-default-PR228809/2018-06-08_13h47m09s/logs/errors/anubis-4.2_7.log
http://package18.nyi.freebsd.org/data/104amd64-default-PR228809/2018-06-08_13h47m09s/logs/errors/givaro-4.0.4.log
http://package18.nyi.freebsd.org/data/104amd64-default-PR228809/2018-06-08_13h47m09s/logs/errors/riemann-c-client-1.10.1_1.log
http://package18.nyi.freebsd.org/data/104amd64-default-PR228809/2018-06-08_13h47m09s/logs/errors/qtum-0.15.1.log
http://package18.nyi.freebsd.org/data/104amd64-default-PR228809/2018-06-08_13h47m09s/logs/errors/ntop-5.0.1_13.log
http://package18.nyi.freebsd.org/data/104amd64-default-PR228809/2018-06-08_13h47m09s/logs/errors/ots-0.5.0_5.log
http://package18.nyi.freebsd.org/data/104amd64-default-PR228809/2018-06-08_13h47m09s/logs/errors/randlm-0.2.5_11.log
http://package18.nyi.freebsd.org/data/104amd64-default-PR228809/2018-06-08_13h47m09s/logs/errors/cinnamon-2.4.6_7.log
Comment 2 Tijl Coosemans freebsd_committer 2018-06-10 12:46:09 UTC
Created attachment 194128 [details]
patch2

I marked net/ntop broken, because it uses too many makefile hacks that don't work with the new automake.  It's also abandonware.  Upstream works on net/ntopng now.

I also marked textproc/ots broken.  It's unfetchable for me and upstream sf.net project is gone.
Comment 3 Tijl Coosemans freebsd_committer 2018-06-10 13:04:24 UTC
The fix for net-p2p/qtum I have committed in ports r472132.  It was unrelated to automake.
Comment 5 Tijl Coosemans freebsd_committer 2018-06-11 11:18:36 UTC
Created attachment 194157 [details]
patch3

Fix more build errors.
Comment 7 Tijl Coosemans freebsd_committer 2018-06-13 08:39:52 UTC
(In reply to Antoine Brodin from comment #6)
Fixed in ports r472296.
Comment 8 Antoine Brodin freebsd_committer 2018-06-14 09:52:03 UTC
Exp-run looks fine.
Comment 9 commit-hook freebsd_committer 2018-06-14 12:48:29 UTC
A commit references this bug:

Author: tijl
Date: Thu Jun 14 12:48:05 UTC 2018
New revision: 472376
URL: https://svnweb.freebsd.org/changeset/ports/472376

Log:
  Update automake to 1.16.1.  Also remove automake-wrapper.  We haven't had
  multiple versions of automake in years and probably won't in the future.

  PR:		228809
  Exp-run by:	antoine
  Approved by:	portmgr (antoine)

Changes:
  head/Mk/Uses/autoreconf.mk
  head/accessibility/redshift/Makefile
  head/audio/ifp-line/Makefile
  head/audio/ifp-line/files/patch-Makefile.am
  head/audio/ifp-line/files/patch-configure
  head/cad/repsnapper/Makefile
  head/cad/repsnapper/files/
  head/cad/repsnapper/files/patch-configure.ac
  head/deskutils/multisync/Makefile
  head/deskutils/multisync/files/patch-src-libversit-Makefile.am
  head/deskutils/pinot/files/patch-Core_Makefile.am
  head/devel/Makefile
  head/devel/automake/Makefile
  head/devel/automake/distinfo
  head/devel/automake/files/
  head/devel/automake/pkg-plist
  head/devel/automake-wrapper/
  head/devel/autotools/Makefile
  head/devel/git-merge-changelog/Makefile
  head/devel/kBuild/Makefile
  head/devel/liblouis/files/patch-tools_Makefile.am
  head/devel/libsmpp34/Makefile
  head/devel/libsmpp34/files/patch-binary-Makefile.am
  head/devel/libsmpp34/files/patch-binary-Makefile.in
  head/devel/tclreadline/Makefile
  head/devel/xfce4-dev-tools/Makefile
  head/emulators/tme/Makefile
  head/emulators/tme/files/patch-configure.in
  head/graphics/agg/Makefile
  head/mail/anubis/files/patch-src_Makefile.am
  head/math/givaro/Makefile
  head/net/ntop/Makefile
  head/net-mgmt/riemann-c-client/Makefile
  head/net-mgmt/riemann-c-client/files/
  head/net-mgmt/riemann-c-client/files/patch-Makefile.am
  head/textproc/ots/Makefile
  head/textproc/randlm/Makefile
  head/x11/cinnamon/files/patch-src_Makefile.am
Comment 10 commit-hook freebsd_committer 2018-06-14 13:13:50 UTC
A commit references this bug:

Author: tijl
Date: Thu Jun 14 13:12:47 UTC 2018
New revision: 472378
URL: https://svnweb.freebsd.org/changeset/ports/472378

Log:
  Add entry for automake-wrapper, removed in r472376.

  PR:		228809

Changes:
  head/MOVED